---
title: Import content
slug: content-recommendations/api/import-content
docTags: 
createdAt: 2026-09-02T16:24:40.465Z
---

{
  "id": "MnfLblvh8ZVTmGHeKtrPs",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.usea01.idio.episerver.net/1.0/content",
    "servers": [
      {
        "url": "https://{hostname}/1.0/content",
        "description": "Primary API server",
        "variables": {
          "hostname": {
            "default": "api.usea01.idio.episerver.net",
            "enum": [
              "api.apac01.idio.episerver.net",
              "api.caea01.idio.episerver.net",
              "api.emea01.idio.episerver.net",
              "api.usea01.idio.episerver.net"
            ]
          }
        }
      }
    ],
    "name": "Import content",
    "description": "Import a content item using a URL. The URL is queued for processing.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "A content URL",
          "customType": "ContentURL",
          "schema": [
            {
              "name": "original_url",
              "kind": "required",
              "type": "string<url>",
              "description": "The original URL of the content to be ingested.",
              "example": "https://example.com/news/article123",
              "format": "url"
            }
          ],
          "modelRef": "#/components/schemas/ContentURL",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "key",
          "name": "key",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>API key required for authentication. Must be provided as a query parameter, for example, <code>?key=YOUR_API_KEY</code>.</p>",
          "in": "query"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "Content URL is queued for processing",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"The Content has been queued for importing\"}",
            "description": "Generic message response object returned by the API.",
            "customType": "Message",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "The message content.",
                "example": "User updated successfully."
              }
            ],
            "modelRef": "#/components/schemas/Message",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hXE92excTvEetL-P7SliO",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.usea01.idio.episerver.net/1.0/content \\\n     --header 'accept: application/json' \\\n     --header 'content-type: application/json' \\\n     --data '{\n     \"original_url\": \"https://example.com/news/article123\"\n     }'"
        },
        {
          "id": "NLwo6vyuSMXpq5T9pbsSl",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"original_url\": \"https://example.com/news/article123\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.usea01.idio.episerver.net/1.0/content\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "fdzPlyDIG1q3l1paAonSO",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.usea01.idio.episerver.net/1.0/content\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"original_url\": \"https://example.com/news/article123\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "3yF0KXKZTKJu6DI1C6290",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.usea01.idio.episerver.net/1.0/content\"\n\npayload = json.dumps({\n   \"original_url\": \"https://example.com/news/article123\"\n})\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hXE92excTvEetL-P7SliO"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-202",
          "language": "202",
          "code": "// Content URL is queued for processing\n{\n  \"message\": \"User updated successfully.\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-202"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}